Create an autopilot resource.
curl --request POST \
--url https://openagents.com/api/autopilots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"avatar": "<string>",
"displayName": "EP212 Bot",
"handle": "ep212-bot",
"status": "active",
"tagline": "<string>",
"visibility": "private"
}
'import requests
url = "https://openagents.com/api/autopilots"
payload = {
"avatar": "<string>",
"displayName": "EP212 Bot",
"handle": "ep212-bot",
"status": "active",
"tagline": "<string>",
"visibility": "private"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
avatar: '<string>',
displayName: 'EP212 Bot',
handle: 'ep212-bot',
status: 'active',
tagline: '<string>',
visibility: 'private'
})
};
fetch('https://openagents.com/api/autopilots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"avatar": "<string>",
"configVersion": 123,
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"handle": "<string>",
"id": "<string>",
"ownerUserId": 123,
"status": "<string>",
"tagline": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"visibility": "<string>"
}
}{
"message": "Unauthenticated."
}{
"errors": {},
"message": "The given data was invalid."
}Autopilot
Create an autopilot resource.
POST
/
api
/
autopilots
Create an autopilot resource.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Create an autopilot resource.
Maximum string length:
255Maximum string length:
120Example:
"EP212 Bot"
Maximum string length:
64Example:
"ep212-bot"
Example:
"active"
Maximum string length:
255Example:
"private"
Response
Autopilot resource payload
Show child attributes
Show child attributes
⌘I